#ifndef HW_PROFILE_H
#define HW_PROFILE_H

/* Configuration area */
#define PROJECT_NAME    "UART One-wire Test"

#define DEBUG

#define USE_CHECK_STARTUP

#define RT_CMD_U1

/* Device header file */
#include <xc.h>

#include <stdbool.h>
#include <stdint.h>
#include <stdlib.h>

#if defined(__PIC24F__)
#include <PPS.h>
#define PLL             1
#define FOSC            (8000000 * PLL)
#define FCY             FOSC / 2

#define OUT_FN_PPS_SCK1     OUT_FN_PPS_SCK1OUT
#define OUT_FN_PPS_SCK2     OUT_FN_PPS_SCK2OUT
#define _ODCB8                 _ODB8
#define _ODCB11                 _ODB11
#define I2C1_ON             I2C_ON

#elif defined(__dsPIC33F__) || defined(__PIC24H__)

#include <pps.h>
#define PLL         1
//#define XT          1
#ifdef PLL
#define N1  (2)
#define M   (32)
#define N2  (2)
/* Main clock source frequency */
#define FOSC         (7372800UL * M / (N1 * N2))
#else
#define FOSC         (7372800UL)
#endif

#define FCY          FOSC / 2

#endif
/* __delay32 support header */
/* !!! should be after FCY define */
#include <libpic30.h>

/* Pin map for project */

#define OW_PUE                  _CN15PUE

#define OW_ODC                  _ODCB11

#define IN_PIN_UARTOW_RX      IN_PIN_PPS_RP11
#define OUT_PIN_UARTOW_TX      OUT_PIN_PPS_RP11

#define IN_PIN_UARTKEYOW_RX      IN_PIN_PPS_RP5
#define OUT_PIN_UARTKEYOW_TX      OUT_PIN_PPS_RP5

/* Peripherial pin select config */
#define OUT_PIN_DBG_TX      OUT_PIN_PPS_RP7
#define IN_PIN_DBG_RX       IN_PIN_PPS_RP6
/* i2c LCD */
#define	SDA1		_LATB9
#define	SDA1TRIS	_TRISB9
#define	SCL1		_LATB8
#define	SCL1TRIS	_TRISB8

#define LCD_RESET           _LATB10
#define LCD_RESET_TRIS       _TRISB10

#define FONT2

#define Fsck  100000L
#define I2C_BRG ((FCY/2/Fsck)-1)

#ifdef DEBUG
#define dbg_printf(...)    xprintf(__VA_ARGS__)
#else
#define dbg_printf(...)
#endif

#define BAUDRATE        9600UL

#endif
