#include "hw_profile.h"

#include <string.h>
#include <stdio.h>
#include <pps.h>
#include <timer.h>
#include <time.h>
#include "startup.h"
#include "xprintf.h"

#include "uart1_i.h"


void map_io(void)
{
    /* Attach SPI1 module to I/O pads on SD card holder */
    iPPSOutput(OUT_PIN_DBG_TX, OUT_FN_PPS_U1TX);
    iPPSInput(IN_FN_PPS_U1RX, IN_PIN_DBG_RX);
    
    iPPSOutput(OUT_PIN_UARTOW_TX, OUT_FN_PPS_U2TX);
    iPPSInput(IN_FN_PPS_U2RX, IN_PIN_UARTOW_RX);
    
}

void init_update_tmr(void)
{
    OpenTimer2(T2_PS_1_256 & T2_GATE_OFF & T2_SOURCE_INT & T2_IDLE_CON &
            T2_ON & T2_32BIT_MODE_OFF, (FCY / 512));
    ConfigIntTimer2(T2_INT_OFF & T2_INT_PRIOR_1);
}


void init_app(void)
{
    config_osc();
    map_io();
    
#if defined(__PIC24FJ64GA002__)
    AD1PCFG = 0xFFFF;
#else
    AD1PCFGL = 0xFFFF;
#endif
    
    init_update_tmr();
    uart_init();
    
    xdev_out(uart_put);
    xdev_in(uart_get);
    
    printResetCause();
    
    dbg_printf("$" PROJECT_NAME "\n");
    dbg_printf("$" __DATE__ " " __TIME__ "\n");
}

int main(void)
{   
    uint16_t i = 0;
    char line[128];
    init_app();
   
    _T2IF = 0;
    
    while (true) {
        if (nUartRxLines) {
            xgets(line, 128);
            xprintf("%s\n", line);
        }
        if (_T2IF == 1) {
            xprintf("hello %u\n", i++);
            _T2IF = 0;
        }        
    }
    
    return 0;
}

